INTERFACE
SUBROUTINE PKSURFA (KN,P2,KL,P3)
USE PARKIND1 ,ONLY : JPIM ,JPRB
INTEGER(KIND=JPIM), INTENT(IN), OPTIONAL :: KN
INTEGER(KIND=JPIM), INTENT(IN), OPTIONAL :: KL
REAL(KIND=JPRB) ,INTENT(INOUT), OPTIONAL :: P2(:,:,:)
REAL(KIND=JPRB) ,INTENT(INOUT), OPTIONAL :: P3(:,:,:,:)
INTEGER(KIND=JPIM), PARAMETER :: JPFAOVRSZ=2
END SUBROUTINE PKSURFA
END INTERFACE
